# -*- coding: utf-8 -*-
from os import path as os_path
from Tools.Directories import resolveFilename, SCOPE_CURRENT_SKIN, SCOPE_PLUGINS, SCOPE_LANGUAGE
from Components.Language import language
import gettext

PLUGIN_PATH = resolveFilename(SCOPE_PLUGINS, "Extensions/Airly/")

def localeInit():
	gettext.bindtextdomain("Airly", resolveFilename(SCOPE_PLUGINS, "Extensions/Airly/locale"))

def _(txt):
	t = gettext.dgettext("Airly", txt)
	if t == txt:
		t = gettext.gettext(txt)
	return t

localeInit()
language.addCallback(localeInit)

def LoadSkin(SkinName):
	model=''
	if os_path.exists("/proc/stb/info/vumodel"):
		with open("/proc/stb/info/vumodel", "r") as f:
			model=f.read().strip()
			f.close()
	
	if SkinName.endswith('.xml'):
		SkinName=SkinName[:-4]
	skinDef=None
			
	if os_path.exists("%slcd/%s%s.xml" % (PLUGIN_PATH, SkinName, model)):
		with open("%slcd/%s%s.xml" % (PLUGIN_PATH, SkinName, model),'r') as skinfile:
			skinDef=skinfile.read()
			skinfile.close()
	return skinDef
